View Issue Details

IDProjectCategoryView StatusLast Update
0006237TalerWeb site(s)public2020-07-24 11:56
ReporterLUG Assigned TobuckE  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006237: PDF Onboarding documentation link broken
DescriptionThe docs page[1] links under Internals -> Onboarding to a PDF version of the onboarding docs[2], which is not available (404 HTTP error).

I can recommend setting up a broken link checker for the Taler website to prevent this issue in the future.

[1]https://taler.net/en/docs.html
[2]https://docs.taler.net/pdf/developers-manual.pdf
Steps To ReproduceVisit https://docs.taler.net/pdf/developers-manual.pdf
TagsNo tags attached.

Activities

nikita

2020-05-14 17:57

developer   ~0015889

Last edited: 2020-05-14 17:59

View 2 revisions

I no longer work for Taler, I'm the wrong person to assign anything to. On the same thought, for gnunet.org, we could do this in www_shared, but "broken link checker" exists out there as many applications, so no need to write one.

LUG

2020-05-14 18:13

developer   ~0015890

That must have been an auto assignment, apologies. I assigned to Christian now for triage.

Christian Grothoff

2020-05-14 18:28

manager   ~0015891

I have fixed the auto-assignment now.
Stefan: please fix the link. Then re-assign the bug to bucke, asking him to interpret the report as: 'setup link checker CI job'.

Stefan

2020-05-15 10:46

developer   ~0015895

Can anybody tell me the link to the requested PDF file? I have been searching for it quite a time, finally given up. Or should we renounce on the PDF? No matter to get rid of the link in case we don't need such a file, but a nicely layoutet document would be nice for readers who want to join our team.

Christian Grothoff

2020-05-15 12:33

manager   ~0015896

I just noticed that _this_ one wasn't properly generated. I've tried to fix the generation logic, *IF* my fix worked, the file _should_ appear as
https://docs.taler.net/pdf/developers-manual.pdf (eventually).

Stefan

2020-05-15 13:17

developer   ~0015897

I'm sorry to say that the fix did not work out. For better consistency, it is recommended to generate the PDF file as 'taler-developers-manual.pdf' in order to comply with the names of other files from our documentation website. So far, every PDF had a "taler-" string in its name, as far as I have seen. That said, the link would be going like https://docs.taler.net/pdf/taler-developers-manual.pdf

I will monitor this bug and update the link then.
Kind regards and thanks for your work in advance!

Stefan

2020-05-15 15:09

developer   ~0015898

The link is working fine, now. Thanks for your work!
I will assign this bug to Buck now

buckE

2020-05-26 08:20

reporter   ~0015962

Stefan, what exactly is the bug? Anyway I don't have access to the website, and I am just learning about this "Onboarding PDF" now from reading this. Please be specific. What is wrong and exactly what do you want changed?

Stefan

2020-05-26 08:29

developer   ~0015964

Hi Buck,
there is no issue anymore with this "bug" as the link to the said document works fine. I have tested it now once again.

Referring to Christian's advice on May 15th, I should ask you to "interpret the report as: 'setup link checker CI job'". Hopefully you know better than me what to do with this task. It's about setting up a program for automatically checking broken links on the Taler website, I suppose.

Kind regards!
Stefan

buckE

2020-05-27 02:49

reporter   ~0015971

Changing to "resolved" although I did nothing. Reason:

From Stefan:
> Hi Buck,
> there is no issue anymore with this "bug" as the link to the said document works fine. I have tested it now once again.

Misc:
> Referring to Christian's advice on May 15th, I should ask you to "interpret the report as: 'setup link checker CI job'". Hopefully you know better than me what to do with this task. It's about
> setting up a program for automatically checking broken links on the Taler website, I suppose.

No I have no idea what this means, either the comment from May 15th or the phrase "interpret the report as: 'setup link checker CI job'" but I assume that if there is a task that relates to these ideas I will see it eventually.

Kind regards!
Stefan

Issue History

Date Modified Username Field Change
2020-05-14 14:36 LUG New Issue
2020-05-14 14:36 LUG Status new => assigned
2020-05-14 14:36 LUG Assigned To => nikita
2020-05-14 17:57 nikita Assigned To nikita => LUG
2020-05-14 17:57 nikita Note Added: 0015889
2020-05-14 17:59 nikita Note Edited: 0015889 View Revisions
2020-05-14 18:12 LUG Assigned To LUG => Christian Grothoff
2020-05-14 18:13 LUG Note Added: 0015890
2020-05-14 18:28 Christian Grothoff Note Added: 0015891
2020-05-14 18:28 Christian Grothoff Assigned To Christian Grothoff => Stefan
2020-05-15 10:46 Stefan Note Added: 0015895
2020-05-15 12:33 Christian Grothoff Note Added: 0015896
2020-05-15 13:17 Stefan Note Added: 0015897
2020-05-15 15:09 Stefan Note Added: 0015898
2020-05-15 15:11 Stefan Assigned To Stefan => buckE
2020-05-26 08:20 buckE Note Added: 0015962
2020-05-26 08:29 Stefan Note Added: 0015964
2020-05-27 02:49 buckE Status assigned => resolved
2020-05-27 02:49 buckE Resolution open => fixed
2020-05-27 02:49 buckE Note Added: 0015971
2020-07-24 11:56 Christian Grothoff Target Version => 0.8
2020-07-24 11:56 Christian Grothoff Fixed in Version => 0.8